package dev.shadowsoffire.apotheosis.adventure.loot;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import dev.shadowsoffire.apotheosis.adventure.loot.LootRarity;
import dev.shadowsoffire.apotheosis.adventure.loot.RarityRegistry;
import javax.annotation.Nullable;

public interface RarityClamp {
  public static final Simple UNCLAMPED = new Simple(RarityRegistry.INSTANCE.emptyHolder(), RarityRegistry.INSTANCE.emptyHolder());
  
  @Nullable
  LootRarity getMinRarity();
  
  @Nullable
  LootRarity getMaxRarity();
  
  default LootRarity clamp(LootRarity rarity) {
    return rarity.clamp(getMinRarity(), getMaxRarity());
  }
}
